Systemvoraussetzung

Als reine Java Applikation arbeitet jadice plattformunabhängig. Damit werden Betriebssysteme unterstützt, für die eine geeignete Java VM zur Verfügung steht. Zur Ausführung von jadice wird eine Java VM in Version 1.8.0 (Java 8) benötigt. Ältere Java Virtual Machine Versionen oder Java VM ab Version 1.9 (Java 9) und neuer werden nicht unterstützt.

Die jadice document platform unterstützt zusätzlich zu Oracle Java auch das OpenJDK. Weitere Informationen hierzu entnehmen Sie unserem Knowledgebase-Artikel Unterstützung neuer Oracle-Java-Versionen und OpenJDK .

Zur Anzeige von Dokumenten mit Verschlüsselungsverfahren aus dem »Adobe Supplement to the ISO 32000 Extension Level 3« muss zusätzlich die eingesetzte JVM um die Unterstützung der AES-256 Verschlüsselung erweitert werden. Standardmäßig erlaubt eine JVM Schlüsselstärken von maximal 128 Bit. Das neue Verfahren nutzt Schlüsselstärken von 256 Bit. Die Erweiterung kann beispielsweise durch den Einsatz von Policy Files erreicht werden, die die (JCE) Unlimited Strengh Jurisdiction erlaubt. Eine Beschreibung hierzu findet sich auf den Oracle Seiten.

Die Hauptspeicher-Anforderungen der jadice document platform sind von der gewünschten Einsatzumgebung (zum Beispiel durchschnittliche oder maximale Dokumentgröße) und den angezeigten Formaten abhängig. Empfohlen wird mindestens 512 MB Heapsize für die Verwendung der jadice document platform. Der Speicherbedarf der integrierenden Anwendung sollte dabei gesondert berücksichtigt und der Heapsize der jadice document platform hinzugerechnet werden, um die empfohlene Heapsize der Gesamtanwendung zu bestimmen. Der so ermittelte Speicherbedarf kann dann mittels des VM-Parameters -Xmx der Anwendung zur Verfügung gestellt werden.

Die Drag and Drop Funktionalitäten der jadice document platform werden zur Zeit ausschließlich unter Microsoft Windows unterstützt.

Wird die jadice document platform in einer Web-Umgebung als Applet integriert, so entstehen dadurch zusätzliche Randbedingungen. Aufgrund der Vielzahl möglicher Kombinationen aus Betriebssystem, Java-Runtime und eingesetztem Browser ist es nicht möglich, für jede Variante Support zu bieten. Unterstützt werden daher ausschließlich die folgenden Komponenten:

  • Microsoft Windows 7

  • Microsoft Windows Server 2008 R2

  • Microsoft Internet Explorer 8

  • Microsoft Internet Explorer 9

  • Mozilla Firefox ESR 10

[jadice document platform Version 5.5.12.1: Dokumentation für Entwickler. Veröffentlicht: 2021-08-17]